Name:           hg-git
Version:        0.8.2
Release:        1%{?dist}
Summary:        Mercurial Plugin for Communicating with Git Servers
License:        GPLv2+
URL:            http://hg-git.github.io
Source0:        https://pypi.python.org/packages/source/h/hg-git/hg-git-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  mercurial
BuildRequires:  python2-devel
BuildRequires:  python-dulwich
BuildRequires:  python-setuptools
Requires:       mercurial
Requires:       python-dulwich
%if 0%{?rhel} && 0%{?rhel} < 7
Requires:       python-ordereddict
%endif

%description
This is the Hg-Git plugin for Mercurial, adding the ability to push and pull
to/from a Git server repository from Hg. This means you can collaborate on Git
based projects from Hg, or use a Git server as a collaboration point for a team
with developers using both Git and Hg. It can also convert commits/changesets 
losslessly from one system to another, so you can push via an Hg repository 
and another Hg client can pull it and their changeset node ids will be 
identical - Mercurial data does not get lost in translation.

%prep
%setup -q
rm -frv *.egg-info

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}

%files
%doc README.md
%license COPYING
%{python2_sitelib}/hggit/
%{python2_sitelib}/*.egg-info/

%changelog
* Sun Aug 23 2015 Christopher Meng <rpm@cicku.me> - 0.8.2-1
- Update to 0.8.2

* Sat Nov 15 2014 Christopher Meng <rpm@cicku.me> - 0.7.0-1
- Update to 0.7.0

* Tue Aug 05 2014 Christopher Meng <rpm@cicku.me> - 0.6.1-1
- Update to 0.6.1

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu May 22 2014 Christopher Meng <rpm@cicku.me> - 0.6.0-1
- Update to 0.6.0

* Tue Mar 25 2014 Christopher Meng <rpm@cicku.me> - 0.5.0-1
- Update to 0.5.0

* Mon Dec 02 2013 Matěj Cepl <mcepl@redhat.com> - 0.4.0-4
- We only need python-ordereddict on EPEL<=6.

* Fri Nov 08 2013 Christopher Meng <rpm@cicku.me> - 0.4.0-3
- Add missing ordereddict requires.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Apr 20 2013 Christopher Meng <rpm@cicku.me> - 0.4.0-1
- Initial Package.
